#!/usr/bin/env Rscript

options(tidyverse.quite = TRUE)
suppressPackageStartupMessages(library(tidyverse, warn.conflicts = FALSE))
library(glue, warn.conflicts = FALSE)

args <- commandArgs(trailingOnly = TRUE)

chromosome <- as.integer(args[[1]])

tbl_gtex_lookup <- read_csv(
        "output/model-variants-lookup-table.csv.gz",
        col_types  = cols(
            chr      = col_character(),
            position = col_integer(),
            rsid     = col_character(),
            gtex_id  = col_character(),
            allele1  = col_character(),
            allele2  = col_character()
        )
    ) %>%
    filter(chr == glue("chr{chromosome}")) %>%
    select(chr, position) %>%
    arrange(position) %>%
    write_delim(
        path     = glue("output/model-variant-positions-chromosome-{chromosome}.txt"),
        delim     = "\t",
        col_names = FALSE
    )
